summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuca Weiss2017-05-05 19:25:49 +0200
committerLuca Weiss2017-05-05 19:25:49 +0200
commit926dd293703d99648a986675cf978c02b7355935 (patch)
tree2881b036a16311333c47de30e8f59bb1b009455a
parent2cc0ae43509c987b31419f296fb1eb6da12f5236 (diff)
downloadaur-926dd293703d99648a986675cf978c02b7355935.tar.gz
rework optdepends
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD5
2 files changed, 7 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 10c0ce5eff5..2d015b84d1e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by mksrcinfo v8
-# Fri May 5 17:04:08 UTC 2017
+# Fri May 5 17:25:29 UTC 2017
pkgbase = razer-drivers
pkgdesc = An entirely open source driver and user-space daemon that allows you to manage your Razer peripherals on GNU/Linux.
pkgver = 1.1.12
@@ -19,8 +19,6 @@ pkgname = python-razer
depends = python
depends = python-dbus
depends = python-numpy
- optdepends = polychromatic: gtk frontend
- optdepends = razercommander-git: gtk frontend
pkgname = razer-daemon
pkgdesc = Userspace daemon that abstracts access to the kernel driver. Provides a DBus service for applications to use.
@@ -49,4 +47,7 @@ pkgname = openrazer-meta
depends = razer-driver-dkms
depends = razer-daemon
depends = python-razer
+ optdepends = polychromatic: frontend
+ optdepends = razergenie: qt frontend
+ optdepends = razercommander: gtk frontend
diff --git a/PKGBUILD b/PKGBUILD
index ee57fedbd2b..f60ae371031 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -36,8 +36,6 @@ sha256sums=('d5daf1a6522c4738628ebcfd8cd8984caf3259de0ad99b1fdd4d92bfbba26f7d')
package_python-razer() {
pkgdesc="Python library for accessing the Razer daemon from Python."
depends=('razer-daemon' 'python' 'python-dbus' 'python-numpy')
- optdepends=('polychromatic: gtk frontend'
- 'razercommander-git: gtk frontend')
if [ -z $_commit ]; then
cd $srcdir/$pkgbase-$pkgver
else
@@ -77,6 +75,9 @@ package_razer-driver-dkms() {
package_openrazer-meta() {
pkgdesc="Meta package for installing all required openrazer packages."
depends=('razer-driver-dkms' 'razer-daemon' 'python-razer')
+ optdepends=('polychromatic: frontend'
+ 'razergenie: qt frontend'
+ 'razercommander: gtk frontend')
}
if $build_kernel_modules; then